java.security.interfaces

## Interface DSAKey

- All Known Subinterfaces:
    DSAPrivateKey, DSAPublicKey

      public interface DSAKey

  The interface to a DSA public or private key. DSA (Digital Signature Algorithm) is defined in NIST's FIPS-186.
  See Also:
    `DSAParams`, `Key`, `Signature`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DSAParams` | `getParams()` Returns the DSA-specific key parameters.

- - ### Method Detail

    - #### getParams

          DSAParams getParams()

      Returns the DSA-specific key parameters. These parameters are never secret.
      Returns:
        the DSA-specific key parameters.
      See Also:
        `DSAParams`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.